
/*! HTML5 Boilerplate v5.0 | MIT License | http://h5bp.com/ */

html {
    color: #222;
    font-size: 1em;
    line-height: 1.4;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}


/* ==========================================================================
   Author's custom styles
   ========================================================================== */

body {
    padding:0;
    margin:0;
    font-size:16px;
}

.contentwrap {
    max-width:1200px;
    margin: 0 auto;
    position:relative;
    padding:0 20px;
}

img {
    border:none;
    max-width:100%;
    height:auto !important;
}
.row {
    display:table;
    width:100%;
}
.col {
    display:table-cell;
    vertical-align:top;
}
.lead-letter {
    color:#ed2063;
    font-size:100px;
    font-weight:800;
    border-bottom:1px solid #313c4c;
    display:inline-block;
    margin: 0 20px;
}

/** form generic **/
form {
    width: 100%;
}
input, textarea, select {
    font-family: 'Open Sans', Arial, sans-serif;
    width: 100%;
    height: 40px;
    line-height: 40px;
    padding-left: 10px;
    box-sizing: border-box;
}
textarea {
    min-height: 100px;
    padding: 10px;
}
form .half > p,
form .third > p,
form p.full {
    position: relative;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    margin: 10px 0;
}
form .half > p {
    width: 49%;
}
form .half > p:nth-of-type(odd),
form .third > p:nth-of-type(3n+1) {
    margin-right: 1%;
}
form .half > p:nth-of-type(even),
form .third > p:nth-of-type(3n+3) {
    margin-left: 1%;
}
form .third > p {
    width: 32.33%;
}
form .third > p:nth-of-type(3n+2){
    margin: 10px 0.5%;
}
form p.full {
    width: 100%;
    padding: 0;
}
label.infield {
    position: absolute;
    top:0;
    left:0;
    padding-left: 10px;
    line-height: 40px;
    color: gray;
    z-index: 2;
}
label.error {
    display: block;
    width: 100%;
    font-size: 14px;
    line-height: 1.5;
    color: red;
}
button,
button.button {
    width: 100%;
    height: 40px;
    border: 0;
    margin:0;
}
/*============ header ============*/

.header-bar-top {
    color:#0f4152;
    background: #dddddd url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/pattern.png');
    padding: 50px 0;
}
header.top .logo {
    width: 250px;
    height:auto;
    margin: 0 auto;
}
header.top ul {
    padding:0;
    list-style:none;
    margin:0;
}
header.top li {
    display: block;
    vertical-align:top;
    position:relative;
}
header.top li::after {
    content:"";
    position:absolute;
    bottom:0;
    left:50%;
    margin-left:-5px;
    width:10px;
    border-bottom:2px solid #0f4152;
}
header.top nav a {
    display:block;
    color:inherit;
    text-decoration:none;
}
.header-bar-bottom {
    background:#333333;
    color:#fff;
    border-top:1px solid #222222;
    position:relative;
}
.main-menu {
    max-width:465px;
    margin: 0 auto;
    background:#fff;
    text-align:center;
    padding:20px 0;
}
.main-menu li {
    margin:5px;
    line-height:1;
}
.main-menu li.depth-0 {
    vertical-align:middle;
}

.main-menu a {
    padding:15px 0;
}
.main-menu li > ul {
    position:absolute;
    top: 100%;
    left:0;
    right:0;
    background:#f6f6f6;
    color:#082133;
    z-index:10000;
    text-align: left;
    display:none;
}
.main-menu li:hover > ul {
    display:block;
}
.main-menu li > ul::before,
.main-menu li > ul::after {
    content:"";
    background:#f6f6f6;
    position:absolute;
    top:0;
    bottom:0;
    width:0;
    height:100%;
}
.main-menu li > ul::before {
    left:0;
    padding-left:50vw;
    margin-left:-50vw;
    background:#f6f6f6;
}
.main-menu li > ul::after {
    right:0;
    padding-right:50vw;
    margin-right:-50vw;
    background:#f6f6f6;
}
.main-menu .depth-1 .title {
    font-size:18px;
}
.main-menu .depth-1 a {
    width: 160px;
    margin: 30px;
}

#mobile-menu {
    display: none;
    position: absolute;
    position: fixed;
    top:5px;
    left:20px;
    background: #000 url(https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/menu-icon.svg) center no-repeat;
    background-size: 24px;
    font-size: 24px;
    padding: 8px;
    width: 24px;
    height: 24px;
    margin: 2px;
    margin-bottom: 0;
    cursor: pointer;
    z-index:100;
}
/*============ footer ============*/
footer .footer-bottom {
    background: #dddddd url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/pattern.png');
    color:#fff;
    padding-top:150px;
}
footer nav {
    background:#fff;
    color:#0f4152;
    padding:0;
    margin:0;
    -webkit-box-shadow: 0px 4px 35px 0px rgba(0,0,0,0.34);
    -moz-box-shadow: 0px 4px 35px 0px rgba(0,0,0,0.34);
    box-shadow: 0px 4px 35px 0px rgba(0,0,0,0.34);
}
footer nav::after {
    content:"";
    display:block;
    clear:both;
}
footer nav ul {
    padding:0;
    padding-top: 40px;
}
footer nav li {
    display:inline-block;
    vertical-align:bottom;
    padding:20px;
}
footer nav a {
    text-decoration:none;
    color:inherit;
    font-weight: 500;
    text-transform: lowercase;
}
footer .logos {
    float:right;
    white-space:nowrap;
    padding:20px;
}
footer .logo {
    width:75px;
    display:inline-block;
    vertical-align:bottom;
    margin: 0 10px;
}
footer .logo.cert {
    padding-bottom:30px;
}
/** bykeo ***/
.bykeo {
    margin-top:50px;
    display: block;
    text-align: center;
    font-size: 12px;
    padding-top: 10px;
    padding-bottom: 20px;
    width: 100%;
    box-sizing: border-box;
    background:#fff;
}
.bykeo a {
    color: grey;
    text-decoration:none;
}
.bykeo img {
    vertical-align: middle;
    display: inline-block;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
.bykeo a:hover img{
    transform-origin: center;
    transform: translateX(-200%) rotate(-360deg);
}


/*============ splash ============*/
.t-home .page-content {
    background: #454a53 url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/chalkboard-bg.jpg');
    color:#fff;
    font-size:57px;
    padding:50px 0;
    font-family:"nexa_rust_script","cursive";
}
/* menus area */
.menus .col {
    text-align:center;
}
.menus ul {
    list-style:none;
    text-align:left;
    padding:0;
    margin:50px;
}
.menus li {
    display:inline-block;
    width:48%;
    text-transform:uppercase;
}
.menus a {
    text-decoration: none;
    color:inherit;
    display:table;
}
.menus .menu-icon {
    max-width:64px;
    width: 64px;
    height: 64px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    display:table-cell;
}
.menus .title {
    display:table-cell;
    vertical-align: middle;
    padding-left:10px;
}
.menus .menu-graphic {
    margin-top:15%;
    padding-top:91%;
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/menu-graphic.jpg') center no-repeat;
    background-size: contain;
}
.menus .col:last-child {
    width:30%;
}
/* Instagram block */
.instagram {
    text-align:center;
    padding:50px 0;
}
.instagram h2 {
    text-align:center;
}
#instafeed {
    text-align:justify;
}
#instafeed::after {
    content:"";
    display:inline-block;
    width:100%;
}
.insta-img {
    display:inline-block;
    width:19%;
    text-decoration:none;
    text-align:left;
    color:inherit;
    vertical-align:top;
}
.insta-img > div {
    padding-top:100%;
    height:0;
    background-size:cover;
    background-position:center;
}
.insta-img > p {
    color:#ed2063;
}
.insta-img > p img {
    margin-right:5px;
}
.insta-img > p img:nth-child(2) {
    margin-left:20px;
}
.menu-graphic {
    padding-top:50%;
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/menu-graphic.jpg');
}
.feed .pink a {
    display: block;
    text-transform: uppercase;
}
/* graphic-features */
.graphic-feature {
    display:table;
    width:100%;
    text-decoration: none;
    color: inherit;
    min-height:400px;
}
.t-blog .graphic-feature {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 20px;
}
.graphic-feature > * {
    display:table-cell;
    vertical-align:middle;
    text-align:center;
    position: relative;
}
.graphic-feature > div:first-child {
    width:40%;
}
.graphic-feature > div:last-child {
    width:20%;
}
.blog-title > a {
    display: block;
}
.banner-feed-content-bg {
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/pattern-inverted.png') center;
}
.banner-feed-content {
    background:white;
    padding: 20px 70px;
    display: inline-block;
    font-size: 20px;
    margin:70px;
}
.banner-feed-content .underline {
    border-bottom: 1px solid #797d83;
}
.banner-image {
    background-size: cover;
    background-position: center;
}
.blog-feed .feed {
    color:#fff;
    background: #454a53 url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/chalkboard-bg.jpg');
    padding: 30px 0;
}
.blog-feed .blog-graphic {
    background-size:cover;
    background-position:center;
}
.blog-feed a {
    color:inherit;
    text-decoration:none;
}
.blog-feed ul {
    margin:0 50px;
    list-style:none;
    padding:0;
}
.blog-feed li {
    border-top:1px solid white;
    text-align:left;
    position:relative;
    font-size:20px;
    font-style: italic;
}
.blog-feed li::after {
    content:"";
    position:absolute;
    right:0;
    top:0;
    bottom:0;
    width:45px;
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/thoughts-bullet.svg') center no-repeat;
    transition: all 1s ease;
    cursor:pointer;
}
.blog-feed li:hover::after {
    right:-20px;
}
.blog-feed li a {
    display:block;
    padding:20px 0;
}
.blog-feed-title {
    text-transform:lowercase;
    font-size:20px;
}

/* tasty-feeds */
.social {
    position:relative;
}
.tasty-feeds {
    padding-top:60%;
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/tasty-feeds-bg.png') center no-repeat;
    background-size:cover;
    text-align:center;
    color:#263848;
    position:relative;
    margin:5%;
    margin-bottom:-20%;
    z-index:1000;
    font-size:48px;
}
.tasty-feeds-wrap {
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
}
.tasty-feeds-tbl {
    display:table;
    width:100%;
    height:100%;
}
.tasty-feeds-content {
    display:table-cell;
    width:100%;
    height:100%;
    text-align: center;
    vertical-align:middle;
    font-size:24px;
    /* background-size: cover; */
}
.tasty-feeds-content p {
    padding-left:10%;
}
.tasty-feeds-content .highlight {
    font-weight:bold;
}
.tasty-feeds-content a {
    margin:20px;
}
.tasty-feeds-decoration {
    top:0;
    bottom:0;
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/tasty-feeds-decoration.png') right center no-repeat;
    background-size:contain;
    position: absolute;
    right: 0;
    width: 30%;
}
.social .col:first-child {
    width:15%;
    text-align: center;
}
.social .col:last-child {
    width:30%;
}

/*============ sub page============*/
.t-page .main-menu,
.t-page .page-title,
.t-blog .main-menu,
.t-blog .page-title {
    max-width:300px;
}
.t-page .page-title,
.t-blog .page-title{
    color:#ed2063;
    background-color:#222d41;
    font-family:"nexa_rust_script","cursive";
    text-align:center;
    margin:0 auto;
    padding:30px 0;
    -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
    box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
}
.t-page .page-content,
.t-blog .page-content{
    padding-top:0;
}
.t-page .header-bar-top,
.t-blog .header-bar-top {
    padding-bottom:0;
}
.t-page .main-menu ul,
.t-blog .main-menu ul,
.t-wedding-form .main-menu ul {
    display:none;
}
.t-page header.top .logo,
.t-blog header.top .logo,
.t-wedding-form header.top .logo {
    width:118px;
}
.page-content {
    padding: 20px;
    padding-bottom: 40px;
}
.page-graphic {
    padding-top:27.3%;
    background-size:cover;
    background-position:center;
}

/*============ Wedding Form ============*/
/* adjust bg */
.t-wedding-form .header-bar-top,
.t-wedding-form footer .footer-bottom {
    background: none;
}
.t-wedding-form .site-content-menu-slide {
    background:url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/yourday.jpg');
}
.t-wedding-form .header-bar-top {
    padding: 0;
}
.t-wedding-form footer .footer-bottom {
    padding-top: 0;
}
/* content */
.t-wedding-form .main-menu {
    max-width: 200px;
    box-shadow: 0px 4px 35px 0px rgba(0, 0, 0, 0.34);
    opacity: 0.9;
}
.plate {
    text-align: center;
}
.t-wedding-form .page-body {
    font-size: 25px;
    color: #FFF;
    background-color: #ed2063;
    padding: 10px 20px;
    box-sizing: border-box;
    margin: 40px 0;
}
.t-wedding-form .page-body,
.wedding-form,
.t-wedding-form footer nav,
.t-wedding-form .bykeo {
    box-shadow: 0px 4px 35px 0px rgba(0, 0, 0, 0.34);
    box-sizing: border-box;
}
/* form */
.wedding-form {
    position: relative;
    font-size: 18px;
    padding: 20px 100px;
    padding-right: 120px;
}
.wedding-form::before {
    content:"";
    position: absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background-image: url('https://keo-cms.appspot.com.storage.googleapis.com/sites/Coreys/app_files/img/form-bg.jpg');
    opacity: 0.79;
    z-index: 0;
}
.wedding-form form {
    display: table;
    border-spacing: 20px;
    border-collapse: separate;
}
.wedding-form .row {
    display: table-row;
}
label.col {
    position: relative;
    display: table-cell;
    width: 200px;
    font-weight: 500;
    color: #0f4152;
    z-index:1;
}
form div.col {
    position: relative;
    display: table-cell;
    z-index:1;
}
form div.full {
    position: relative;
    width:100%;
}

.wedding-form input {
    padding-left: 2%;
    border: 0;
}
.wedding-form textarea {
    padding: 1%;
    padding-left: 2%;
    border: 0;
}
.wedding-form .col.last {
    padding-right: 170px;
}
.wedding-form button {
    position: absolute;
    top:0;
    right:0;
    width: 150px;
    height: 40px;
    color: #FFF;
    background-color: #ed2063;
    border: 0;
}

/*============ Blog list ============*/
.t-blog .page-title {
    text-align: center;
}
.t-blog a {
    text-decoration: none;
    color: inherit;
}
.blog {

width: 40%;
}
.t-blog .blog-graphic {
    width: 100%;
    min-height: 400px;
}
.blog .img {
    background-size: cover;
    background-position: center;
    min-height: 400px;
}
.t-blog .txt {
    background-color: rgba(256,256,256,0.9);
    padding: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

/*============ calculator page============*/
.t-calc .loading {
    margin: 50px auto;
    display:block;
}
.t-calc .page-content {
    text-align:center;
}
#calculator {
    padding-top:50px;
    width:100%;
    display:table;
}
#calculator > * {
    display:table-cell;
    vertical-align:top;
    width:33%;
    margin-bottom:100px;
    padding:40px;
}
.calc-img {
    width:300px;
    height:300px;
    background-size:contain;
    background-position:center;
    background-repeat:no-repeat;
    margin:0 auto;
}
.calc-heads {
    height:84px;
}
.calc-head {
    background-size:contain;
    background-position:center;
    background-repeat:no-repeat;
    width:64px;
    height:64px;
    display:none;
    margin:10px;
    opacity:0;
}
.calc-head.active{
    opacity:1;
    display:table-cell;
    -webkit-animation: pop-in 0.5s;
    -moz-animation: pop-in 0.5s;
    -ms-animation: pop-in 0.5s;
}
.calc-head.inactive {
    position:absolute;
    -webkit-animation: pop-out 0.5s;
    -moz-animation: pop-out 0.5s;
    -ms-animation: pop-out 0.5s;
}
.t-calc .button {
    color:#ed2063;
    border-color:#ed2063;
}

@-webkit-keyframes pop-in {
    0% { opacity: 0; -webkit-transform: scale(0.5); }
    100% { opacity: 1; -webkit-transform: scale(1); }
}
@-moz-keyframes pop-in {
    0% { opacity: 0; -moz-transform: scale(0.5); }
    100% { opacity: 1; -moz-transform: scale(1); }
}
@keyframes pop-in {
    0% { opacity: 0; transform: scale(0.5); }
    100% { opacity: 1; transform: scale(1); }
}

@-webkit-keyframes pop-out {
    0% { opacity: 1; -webkit-transform: scale(1); }
    100% { opacity: 0; -webkit-transform: scale(0.5); }
}
@-moz-keyframes pop-out {
    0% { opacity: 1; -moz-transform: scale(1); }
    100% { opacity: 0; -moz-transform: scale(0.5); }
}
@keyframes pop-out {
    0% { opacity: 1; transform: scale(1); }
    100% { opacity: 0; transform: scale(0.5); }
}

#calculator h2 {
    display:inline-block;
    padding-bottom:20px;
    border-bottom:1px solid #3e506d;
}
#calculator h3 {
    color:#ed2063;
    font-family:"nexa_rust_script","cursive";
    text-transform: lowercase;
}
#calculator input,
#calculator select {
    font-family:"nexa_rust_script","cursive";
    font-size:20px;
    padding:10px;
    width:100%;
}
.calculator-guests table {
    width:100%;
}
.calculator-guests td {
    width:33%;
    padding:15px;
}
.calculator-results table {
    width:100%;
    min-height:300px;
}
.calculator-results td,
.calculator-results th {
    text-align:left;
}
/*! nouislider - 9.2.0 - 2017-01-11 10:35:35 */.noUi-target,.noUi-target *{-webkit-touch-callout:none;-webkit-tap-highlight-color:transparent;-webkit-user-select:none;-ms-touch-action:none;touch-action:none;-ms-user-select:none;-moz-user-select:none;user-select:none;-moz-box-sizing:border-box;box-sizing:border-box}.noUi-target{position:relative;direction:ltr}.noUi-base{width:100%;height:100%;position:relative;z-index:1}.noUi-connect{position:absolute;right:0;top:0;left:0;bottom:0}.noUi-origin{position:absolute;height:0;width:0}.noUi-handle{position:relative;z-index:1}.noUi-state-tap .noUi-connect,.noUi-state-tap .noUi-origin{-webkit-transition:top .3s,right .3s,bottom .3s,left .3s;transition:top .3s,right .3s,bottom .3s,left .3s}.noUi-state-drag *{cursor:inherit!important}.noUi-base,.noUi-handle{-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.noUi-horizontal{height:18px}.noUi-horizontal .noUi-handle{width:34px;height:28px;left:-17px;top:-6px}.noUi-vertical{width:18px}.noUi-vertical .noUi-handle{width:28px;height:34px;left:-6px;top:-17px}.noUi-target{background:#FAFAFA;border-radius:4px;border:1px solid #D3D3D3;box-shadow:inset 0 1px 1px #F0F0F0,0 3px 6px -5px #BBB;margin:0 20px;margin-top:50px;}.noUi-connect{background:#ed2063;box-shadow:inset 0 0 3px rgba(51,51,51,.45);-webkit-transition:background 450ms;transition:background 450ms; }.noUi-draggable{cursor:ew-resize}.noUi-vertical .noUi-draggable{cursor:ns-resize}.noUi-handle{border:1px solid #D9D9D9;border-radius:3px;background:#FFF;cursor:default;box-shadow:inset 0 0 1px #FFF,inset 0 1px 7px #EBEBEB,0 3px 6px -3px #BBB}.noUi-active{box-shadow:inset 0 0 1px #FFF,inset 0 1px 7px #DDD,0 3px 6px -3px #BBB}.noUi-handle:after,.noUi-handle:before{content:"";display:block;position:absolute;height:14px;width:1px;background:#E8E7E6;left:14px;top:6px}.noUi-handle:after{left:17px}.noUi-vertical .noUi-handle:after,.noUi-vertical .noUi-handle:before{width:14px;height:1px;left:6px;top:14px}.noUi-vertical .noUi-handle:after{top:17px}[disabled] .noUi-connect{background:#B8B8B8}[disabled] .noUi-handle,[disabled].noUi-handle,[disabled].noUi-target{cursor:not-allowed}.noUi-pips,.noUi-pips *{-moz-box-sizing:border-box;box-sizing:border-box}.noUi-pips{position:absolute;color:#999}.noUi-value{position:absolute;text-align:center}.noUi-value-sub{color:#ccc;font-size:10px}.noUi-marker{position:absolute;background:#CCC}.noUi-marker-large,.noUi-marker-sub{background:#AAA}.noUi-pips-horizontal{padding:10px 0;height:80px;top:100%;left:0;width:100%}.noUi-value-horizontal{-webkit-transform:translate3d(-50%,50%,0);transform:translate3d(-50%,50%,0)}.noUi-marker-horizontal.noUi-marker{margin-left:-1px;width:2px;height:5px}.noUi-marker-horizontal.noUi-marker-sub{height:10px}.noUi-marker-horizontal.noUi-marker-large{height:15px}.noUi-pips-vertical{padding:0 10px;height:100%;top:0;left:100%}.noUi-value-vertical{-webkit-transform:translate3d(0,50%,0);transform:translate3d(0,50%,0);padding-left:25px}.noUi-marker-vertical.noUi-marker{width:5px;height:2px;margin-top:-1px}.noUi-marker-vertical.noUi-marker-sub{width:10px}.noUi-marker-vertical.noUi-marker-large{width:15px}.noUi-tooltip{display:block;position:absolute;border:1px solid #D9D9D9;border-radius:3px;background:#fff;color:#000;padding:5px;text-align:center}.noUi-horizontal .noUi-tooltip{-webkit-transform:translate(-50%,0);transform:translate(-50%,0);left:50%;bottom:120%}.noUi-vertical .noUi-tooltip{-webkit-transform:translate(0,-50%);transform:translate(0,-50%);top:50%;right:120%}

/*============ contact page============*/
#contact-details {
    padding-top:40px;
    max-width:600px;
    margin:0 auto;
}
#contact-details .details {
    font-weight: bold;
    text-align: center;
}
#contact-details .details p {
    padding: 5px 0;
    margin:0;
}
#contact-details .details a {
    text-decoration: none;
    color: inherit;
}
/** form styles **/
#contactForm p.full {
    text-align: center;
}
div.optional {
    padding: 20px 10px;
    background-color: #ebebeb;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
#contactForm p.shrink,
#contactForm p.nil {
    padding-bottom: 0;
}
#contactForm div.optional p.full {
    font-weight: bold;
}

#contactForm input,
#contactForm select {
    position: relative;
}
#contactForm input,
#contactForm select,
#contactForm textarea {
    border: 1px solid #ddd;
    -webkit-box-shadow: inset 1px 1px 5px 0px rgba(0,0,0,0.35);
    -moz-box-shadow: inset 1px 1px 5px 0px rgba(0,0,0,0.35);
    box-shadow: inset 1px 1px 5px 0px rgba(0,0,0,0.35);
}

/* ==========================================================================
   Media Queries
   ========================================================================== */
@media only screen and (max-width: 1250px) {
    .t-home .page-content {
        text-align:center;
    }
}
@media only screen and (max-width:1150px) {
    .lead-letter {
        font-size:18vw;
    }
    .insta-img {
        width:24%;
    }
    .insta-img:nth-child(5) {
        display:none;
    }
}
@media only screen and (max-width:960px) {
    .menus .row,
    .menus .col {
        display:block;
        width:auto;
    }
    .blog .img {
        min-height: 300px !important;
        min-width: 300px;
    }
    .menus .col:last-child {
        display:none;
    }
    .banner-feed {
        display:none;
    }
    .graphic-feature,
    .graphic-feature > *,
    .graphic-feature > div:first-child {
        display:block;
        width:auto;
        min-height:300px;
    }
    .graphic-feature {
        padding-top:36vw;
        position:relative;
    }
    .graphic-feature > div:last-child {
        position:absolute;
        top:0;
        left:0;
        right:0;
        width:auto;
        text-align:center;
    }
    .social .col:last-child {
        width:5%;
    }
    .tasty-feeds-decoration {
        width:5%;
        background-position:left center;
        background-size:300px;
    }
    footer nav ul {
        padding-top:10px;
    }
/** wedding form **/
    .wedding-form {
        padding: 20px;
    }
}
@media only screen and (max-width: 760px) {
    .menus li {
        display:block;
        width:auto;
        text-align:center;
        margin: 10px;
    }
    .insta-img {
        width:50%;
        float:left;
    }
    .insta-img p {
        display:none;
    }
    #instafeed::after {
        clear:both;
    }
    .social .row,
    .social .col,
    .social .col:first-child{
        display:block;
        width:auto;
        text-align:center;
    }
    .tasty-feeds-decoration {
        background-position:left top;
        width:10%;
    }
    footer nav {
        padding-top:0;
        min-height:100px;
    }
    footer nav ul {
        text-align:center;
    }
    footer nav li {
        display: block;
        text-align: left;
    }
    #calculator,
    #calculator > * {
        display:block;
        width:auto;
    }
    footer .logo {
        display:block;
    }
    a {

        /* These are technically the same, but use both */
        overflow-wrap: break-word;
        word-wrap: break-word;

        -ms-word-break: break-all;
        /* This is the dangerous one in WebKit, as it breaks things wherever */
        word-break: break-all;
        /* Instead use this non-standard one: */
        word-break: break-word;

        /* Adds a hyphen where the word breaks, if supported (No Blink) */
        -ms-hyphens: auto;
        -moz-hyphens: auto;
        -webkit-hyphens: auto;
        hyphens: auto;
    }
/* stack forms */
    form .half > p,
    form .third > p {
        width: 100%;
    }
    form .half > p:nth-of-type(odd),
    form .third > p:nth-of-type(3n+1),
    form .third > p:nth-of-type(3n+2),
    form .half > p:nth-of-type(even),
    form .third > p:nth-of-type(3n+3) {
        margin: 10px 0;
    }
    textarea {
        min-height: 80px;
    }
    /* wedding form */
    .wedding-form form,
    .wedding-form .row,
    label.col,
    form div.col {
        display: block;
        width: 100%;
    }
    label.col {
        padding-bottom: 10px;
    }
    form div.col {
        padding-bottom: 20px;
    }
    .wedding-form button {
        position: static;
        width: 100%;
        margin-top: 20px;
    }
}
@media only screen and (max-width: 500px) {
    .banner-feed-content {
        margin:20px;
        padding: 20px 40px;
    }
    .graphic-feature {
        padding-top:48vw;
    }
    .tasty-feeds-content p {
        margin:0;
        font-size:5vw;
    }
    .tasty-feeds-content p .highlight {
        font-size:6vw;
    }
    .tasty-feeds-content a {
        margin:10px;
    }
    .tasty-feeds-content p.social-links {
        text-align:right;
    }
    .tasty-feeds {
        background-size:120%;
    }
}
/* ==========================================================================
   Helper classes
   ========================================================================== */

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   Print styles
   ========================================================================== */

@media print {
    *,
    *:before,
    *:after {
        background: transparent !important;
        color: #000 !important;
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    a[href^="#"]:after,
    a[href^="javascript:"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}